Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted

From: martin rudalics <[email-masked]>
Date: Mon, 9 Dec 2019 10:20:22 +0100

>> Does it at least have the Emacs frame appear on top of the dock?
 > No, if I move manually towards the dock  the frame with (z-group
 > . above) it appears under the dock (the dock is half transparent).

So it looks like Emacs doesn't have much power on your system.  Would
working with wmctrl give you more power?  You should be able to get
the position and size of an Emacs window with the -G argument and move
it via the -e argument, see for example

https://manpages.ubuntu.com/manpages/trusty/en/man1/wmctrl.1.html

 > Note that the frame can manually be moved very much to the left of the
 > left side, with part of the frame disappearing out of the screen.

That's normal.

martin